# C container implementation


> prerequisite : `make busybox_setup` permit to extract rootfs into [./busybox](./busybox) folder

## build

classique build

`make release`

build with debug

`make debug`

## run

classique run

`./bin/out.ex /bin/ls`

run interactively

`./bin/out.ex -i /bin/sh`


## links

this code and repository is inspired by these link :

[http://tejom.github.io/c/linux/containers/docker/2016/10/04/containers-from-scratch-pt1.html](http://tejom.github.io/c/linux/containers/docker/2016/10/04/containers-from-scratch-pt1.html)

[https://lk4d4.darth.io/posts/unpriv3/](https://lk4d4.darth.io/posts/unpriv3/)

[https://blog.lizzie.io/linux-containers-in-500-loc.html](https://blog.lizzie.io/linux-containers-in-500-loc.html)

[Creating containers - Part 1.html](./doc/Creating_containers-Part_1.html)

original link [http://crosbymichael.com/creating-containers-part-1.html](http://crosbymichael.com/creating-containers-part-1.html)
